LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
XLinguServiceManager2 Interface Referencepublished

Provides a unified interface for the LinguServiceManager service to implement. More...

`import"XLinguServiceManager2.idl";`

Inheritance diagram for XLinguServiceManager2:

## Exported Interfaces
interface | com::sun::star::linguistic2::XLinguServiceManager
interface | com::sun::star::linguistic2::XAvailableLocales
interface | com::sun::star::lang::XComponent

## Additional Inherited Members
Public Member Functions inherited from XLinguServiceManager
com::sun::star::linguistic2::XSpellChecker | getSpellChecker ()
com::sun::star::linguistic2::XHyphenator | getHyphenator ()
com::sun::star::linguistic2::XThesaurus | getThesaurus ()
boolean | addLinguServiceManagerListener ([in] com::sun::star::lang::XEventListener xListener)
| adds a listener to the list of event listeners. More...
boolean | removeLinguServiceManagerListener ([in] com::sun::star::lang::XEventListener xListener)
| removes a listener from the list of event listeners. More...
sequence< string > | getAvailableServices ([in] string aServiceName, [in] com::sun::star::lang::Locale aLocale)
void | setConfiguredServices ([in] string aServiceName, [in] com::sun::star::lang::Locale aLocale, [in] sequence< string > aServiceImplNames)
| sets the list of service implementations to be used for a given service and language. More...
sequence< string > | getConfiguredServices ([in] string aServiceName, [in] com::sun::star::lang::Locale aLocale)
| queries the list of service implementations to be used for a given service and language. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XAvailableLocales
sequence< com::sun::star::lang::Locale > | getAvailableLocales ([in] string aServiceName)
| retrieve the list of supported languages (Locales). More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

Provides a unified interface for the LinguServiceManager service to implement.

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

## ◆ com::sun::star::linguistic2::XAvailableLocales

interface com::sun::star::linguistic2::XAvailableLocales

## ◆ com::sun::star::linguistic2::XLinguServiceManager

interface com::sun::star::linguistic2::XLinguServiceManager

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XLinguServiceManager2.idl